#!/bin/sh

set -e

version=0.1
dir="bitlm-$version"
tar="$dir.tar.gz"

echo "creating $dir"
mkdir "$dir"
rsync --verbose --recursive --relative --copy-links \
    --exclude-from dist-exclude . "$dir"

if [ -e "$tar" ]; then
    echo "ERROR: $tar exists"
    exit 1
fi

echo "creating $tar"
tar -czvf "$tar" "$dir"
